Unverified Commit 57e3cd26 authored by Helen Koike's avatar Helen Koike Committed by Maxime Ripard
Browse files

drm/ci: uprev IGT and make sure core_getversion is run



IGT has recently merged a patch that makes code_getversion test to fails
if the driver isn't loaded or if it isn't the expected one defined in
variable IGT_FORCE_DRIVER.

Without this test, jobs were passing when the driver didn't load or
probe for some reason, giving the illusion that everything was ok.

Uprev IGT to include this modification and include core_getversion test
in all the shards.

Signed-off-by: default avatarHelen Koike <helen.koike@collabora.com>
Reviewed-by: default avatarDavid Heidelberg <david.heidelberg@collabora.com>
Link: https://lore.kernel.org/r/20231024004525.169002-5-helen.koike@collabora.com


Signed-off-by: default avatarMaxime Ripard <mripard@kernel.org>
parent d70896f2
Loading
Loading
Loading
Loading
+1 −1
Original line number Diff line number Diff line
@@ -5,7 +5,7 @@ variables:
  UPSTREAM_REPO: git://anongit.freedesktop.org/drm/drm
  TARGET_BRANCH: drm-next

  IGT_VERSION: 471bfababd070e1dac0ebb87470ac4f2ae85e663
  IGT_VERSION: d1db7333d9c5fbbb05e50b0804123950d9dc1c46

  DEQP_RUNNER_GIT_URL: https://gitlab.freedesktop.org/anholt/deqp-runner.git
  DEQP_RUNNER_GIT_TAG: v0.15.0
+24 −7
Original line number Diff line number Diff line
@@ -20,11 +20,16 @@ set +e
cat /sys/kernel/debug/dri/*/state
set -e

case "$DRIVER_NAME" in
    rockchip|mediatek|meson)
        export IGT_FORCE_DRIVER="panfrost"
        ;;
    amdgpu)
        # Cannot use HWCI_KERNEL_MODULES as at that point we don't have the module in /lib
if [ "$IGT_FORCE_DRIVER" = "amdgpu" ]; then
        mv /install/modules/lib/modules/* /lib/modules/.
        modprobe amdgpu
fi
        ;;
esac

if [ -e "/install/xfails/$DRIVER_NAME-$GPU_VERSION-skips.txt" ]; then
    IGT_SKIPS="--skips /install/xfails/$DRIVER_NAME-$GPU_VERSION-skips.txt"
@@ -48,6 +53,20 @@ fi

curl -L --retry 4 -f --retry-all-errors --retry-delay 60 -s ${FDO_HTTP_CACHE_URI:-}$PIPELINE_ARTIFACTS_BASE/$ARCH/igt.tar.gz | tar --zstd -v -x -C /


# If the job is parallel at the gitab job level, take the corresponding fraction
# of the caselist.
if [ -n "$CI_NODE_INDEX" ]; then
    sed -ni $CI_NODE_INDEX~$CI_NODE_TOTAL"p" /install/testlist.txt
fi

# core_getversion checks if the driver is loaded and probed correctly
# so run it in all shards
if ! grep -q "core_getversion" /install/testlist.txt; then
    # Add the line to the file
    echo "core_getversion" >> /install/testlist.txt
fi

set +e
igt-runner \
    run \
@@ -57,8 +76,6 @@ igt-runner \
    $IGT_SKIPS \
    $IGT_FLAKES \
    $IGT_FAILS \
    --fraction-start $CI_NODE_INDEX \
    --fraction $CI_NODE_TOTAL \
    --jobs 1
ret=$?
set -e
+1 −1
Original line number Diff line number Diff line
@@ -4,7 +4,7 @@ variables:
   DEBIAN_BASE_TAG: "${CONTAINER_TAG}"

   DEBIAN_X86_64_BUILD_IMAGE_PATH: "debian/x86_64_build"
   DEBIAN_BUILD_TAG: "2023-10-06-amd"
   DEBIAN_BUILD_TAG: "2023-10-08-igt"

   KERNEL_ROOTFS_TAG: "2023-10-06-amd"